#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "glass.inc"
#include "ynkelonium_texture.pov"
#include "T_BlackMetal.pov"
#include "Triebwerk.pov"

#declare Kugelschale = 
    sphere {
	<0,0,0>, 1250
	texture {
	    Ynkelonium_Texture
	}
    }

#declare Ringwulst = 
    union {
	difference {
	    torus {
		1250, 400
	    }
	    #declare i = 0
	    #while (i < 360) 
		object {
		    Triebwerk_neg
		    rotate <0, 0, 45>
		    translate <1250, 0, 0>
		    rotate <0, i, 0>
		}
		object {
		    Triebwerk_neg
		    rotate <0, 0, -45>
		    translate <1250, 0, 0>
		    rotate <0, i, 0>
		}
		#declare i = i + 30
	    #end
	}
	cone {
	    <0, -400, 0>, 1250, 
	    <0, 400, 0>, 1250
	}

	texture {
	    Ynkelonium_Texture
	}

    }


#declare SZ = 
union {
    object {
	Kugelschale
    }
    object {
	Ringwulst
    }
}

